﻿using System;
using System.Windows.Forms;


namespace WebBrowserMail
{
    public partial class frmGlavna : Form
    {
        public frmLogovanje log;
        public frmGlavna()
        {
            InitializeComponent();
            log = new frmLogovanje();
        }

        private void buttonNazad_Click(object sender, EventArgs e)
        {
            wbBrowser.GoBack();
        }

        private void buttonNapred_Click(object sender, EventArgs e)
        {
            wbBrowser.GoForward();
        }

        private void buttonNavigacija_Click(object sender, EventArgs e)
        {
            wbBrowser.Navigate(edtNavigacija.Text);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        	edtNavigacija.Text = "http://www.its.edu.rs/";
        	buttonNavigacija.PerformClick();
        }

        private void buttonStampaj_Click(object sender, EventArgs e)
        {
            wbBrowser.Print();
        }

    	private void buttonGmail_Click(object sender, EventArgs e)
		{
			edtNavigacija.Text = "http://www.gmail.com";
			buttonNavigacija.PerformClick();
		}

        private void buttonPgmail_Click(object sender, EventArgs e)
        {
			log.Sifra.Select();
			if (log.ShowDialog() == DialogResult.OK)
			{
				if (log.Sifra.Text == "ITS")
				{
					HtmlDocument doc = wbBrowser.Document;
					if (doc != null)
					{
						HtmlElement mail = doc.GetElementById("Email");
						HtmlElement sifra = doc.GetElementById("Passwd");

						try
						{
							if (mail != null) mail.InnerText = "ITS.Test";
							if (sifra != null) sifra.InnerText = "ITS";
							log.Sifra.Text = "";
						}
						catch (Exception)
						{
							MessageBox.Show("Nije moguce popuniti polja", "Greska", MessageBoxButtons.OK, MessageBoxIcon.Error);
						}
					}
				}
				else MessageBox.Show("Neispravna Sifra");
			}
		}

    	private void buttonIts_Click(object sender, EventArgs e)
		{
			edtNavigacija.Text = "https://www.google.com/a/its.edu.rs/";
			buttonNavigacija.PerformClick();
		}

		private void buttonPits_Click(object sender, EventArgs e)
		{
			log.Sifra.Select();
			if (log.ShowDialog() == DialogResult.OK)
			{
				if (log.Sifra.Text == "ITS")
				{
					HtmlDocument doc = wbBrowser.Document;
					if (doc != null)
					{
						HtmlElement mail = doc.GetElementById("Email");
						HtmlElement sifra = doc.GetElementById("Passwd");

						try
						{
							if (mail != null) mail.InnerText = "ITS.Test";
							if (sifra != null) sifra.InnerText = "ITS";
							log.Sifra.Text = "";
						}
						catch (Exception)
						{
							MessageBox.Show("Nije moguce popuniti polja", "Greska", MessageBoxButtons.OK, MessageBoxIcon.Error);
						}
					}
				}
				else MessageBox.Show("Neispravna Sifra");
			}
		}

		private void edtNavigacija_KeyPress(object sender, KeyPressEventArgs e)
		{
			if (e.KeyChar == Convert.ToChar(Keys.Enter) || e.KeyChar == Convert.ToChar(Keys.Return))
			{
				buttonNavigacija.PerformClick();
			}
		}
    }
}
